Get one wholesale order
curl --request GET \
--url https://vitarelay.com/api/public/partner/v1/wholesale/orders/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://vitarelay.com/api/public/partner/v1/wholesale/orders/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vitarelay.com/api/public/partner/v1/wholesale/orders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"order_number": "<string>",
"status": "<string>",
"payment_status": "<string>",
"external_order_id": "<string>",
"subtotal_cents": 123,
"shipping_cents": 123,
"tax_cents": 123,
"total_cents": 123,
"currency": "<string>",
"your_markup_cents": 123,
"ship_to": {
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"phone": "<string>",
"address": {}
},
"items": [
{
"product_id": "<string>",
"name": "<string>",
"quantity": 123,
"unit_price_cents": 123
}
],
"tracking": {
"number": "<string>",
"carrier": "<string>",
"url": "<string>",
"status": "<string>",
"shipped_at": "<string>",
"delivered_at": "<string>"
},
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Wholesale
Get one wholesale order
Status, payment and tracking. Needs orders:read or orders:write.
GET
/
wholesale
/
orders
/
{id}
Get one wholesale order

